Show / Hide Table of Contents

# Class ScriptRegion

Contains details about a specific region of text in script file.

##### Inheritance

System.Object
ScriptRegion

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public sealed class ScriptRegion

### Properties

| Improve this Doc View Source

#### EndColumnNumber

Gets or sets the ending column number of the region.

##### Declaration

    public int EndColumnNumber { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### EndLineNumber

Gets or sets the ending line number of the region.

##### Declaration

    public int EndLineNumber { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### EndOffset

Gets or sets the ending file offset of the region.

##### Declaration

    public int EndOffset { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### File

Gets the file path of the script file in which this region is contained.

##### Declaration

    public string File { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### StartColumnNumber

Gets or sets the starting column number of the region.

##### Declaration

    public int StartColumnNumber { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### StartLineNumber

Gets or sets the starting line number of the region.

##### Declaration

    public int StartLineNumber { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### StartOffset

Gets or sets the starting file offset of the region.

##### Declaration

    public int StartOffset { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Text

Gets or sets the text that is contained within the region.

##### Declaration

    public string Text { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |